# Class ImmutableSqlParameter.Builder

java.lang.Object
com.databricks.jdbc.api.impl.ImmutableSqlParameter.Builder

Enclosing class:
  `ImmutableSqlParameter`

@NotThreadSafe public static final class ImmutableSqlParameter.Builder extends Object
Builds instances of type `ImmutableSqlParameter`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

## Method Summary

Modifier and Type
Method
Description
`ImmutableSqlParameter`
`build()`
Builds a new `ImmutableSqlParameter`.
`final ImmutableSqlParameter.Builder`
`cardinal(int cardinal)`
Initializes the value for the `cardinal` attribute.
`final ImmutableSqlParameter.Builder`
`from(SqlParameter instance)`
Fill a builder with attribute values from the provided `SqlParameter` instance.
`final ImmutableSqlParameter.Builder`
`type(ColumnInfoTypeName type)`
Initializes the value for the `type` attribute.
`final ImmutableSqlParameter.Builder`
`value(Object value)`
Initializes the value for the `value` attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### from

@CanIgnoreReturnValue public final ImmutableSqlParameter.Builder from(SqlParameter instance)
Fill a builder with attribute values from the provided `SqlParameter` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.

Parameters:
  `instance` - The instance from which to copy values
Returns:
  `this` builder for use in a chained invocation

### value

@CanIgnoreReturnValue public final ImmutableSqlParameter.Builder value(@Nullable Object value)
Initializes the value for the `value` attribute.

Parameters:
  `value` - The value for value (can be `null`)
Returns:
  `this` builder for use in a chained invocation

### type

@CanIgnoreReturnValue public final ImmutableSqlParameter.Builder type(ColumnInfoTypeName type)
Initializes the value for the `type` attribute.

Parameters:
  `type` - The value for type
Returns:
  `this` builder for use in a chained invocation

### cardinal

@CanIgnoreReturnValue public final ImmutableSqlParameter.Builder cardinal(int cardinal)
Initializes the value for the `cardinal` attribute.

Parameters:
  `cardinal` - The value for cardinal
Returns:
  `this` builder for use in a chained invocation

### build

public ImmutableSqlParameter build()
Builds a new `ImmutableSqlParameter`.

Returns:
  An immutable instance of SqlParameter
Throws:
  `IllegalStateException` - if any required attributes are missing